Subject: bug#13379: closed (Re: bug#13379: 24.3.50; compilation-start-hook: misleading docstring)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 02 Feb 2013 06:34:02 +0000

Your bug report

#13379: 24.3.50; compilation-start-hook: misleading docstring

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
13379: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13379
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#13379: 24.3.50; compilation-start-hook: misleading docstring
From: Christopher Schmidt <[email-masked]>
To: [email-masked]
Date: Sat, 2 Feb 2013 06:32:04 +0000 (GMT)
List-Id: <debbugs-submit.debbugs.gnu.org>

Christopher Schmidt <[email-masked]> writes:
> The docstring of compilation-start-hook is misleading.
>
> The reference to run-hook-with-args is superfluous, so is the
> reference to omake.  I do not think set-process-query-on-exit-flag
> should be used in compilation-start-hook - compilation-always-kill is
> the way to go, or it should be explained why the lambda is added
> buffer locally and where this form should be evaled.

I went ahead and committed this in r111661.
--- lisp/ChangeLog
+++ lisp/ChangeLog
@@ -2,6 +2,7 @@
 
 	* progmodes/compile.el (compilation-error-regexp-alist-alist):
 	Identify g++ template instantiation trace.  (Bug#12287)
+	(compilation-start-hook): Simplify docstring.  (Bug#13379)
 
 2013-02-02  Stefan Monnier  <[email-masked]>
 
--- lisp/progmodes/compile.el
+++ lisp/progmodes/compile.el
@@ -48,12 +48,8 @@
 
 ;;;###autoload
 (defcustom compilation-start-hook nil
-  "List of hook functions run by `compilation-start' on the compilation process.
-\(See `run-hook-with-args').
-If you use \"omake -P\" and do not want \\[save-buffers-kill-terminal] to ask whether you want
-the compilation to be killed, you can use this hook:
-  (add-hook 'compilation-start-hook
-    (lambda (process) (set-process-query-on-exit-flag process nil)) nil t)"
+  "Hook run after starting a new compilation process.  The hook
+is run with one argument, the new process."
   :type 'hook
   :group 'compilation)

If there is any doubt whatsoever regarding what I have just done, please
revert immediately and reopen the bug.  Thank you!

        Christopher

Subject: 24.3.50; compilation-start-hook: misleading docstring
From: Christopher Schmidt <[email-masked]>
To: [email-masked]
Date: Mon, 7 Jan 2013 20:12:51 +0000 (GMT)
List-Id: <debbugs-submit.debbugs.gnu.org>

Severity: minor

The docstring of compilation-start-hook is misleading.

The reference to run-hook-with-args is superfluous, so is the reference
to omake.  I do not think set-process-query-on-exit-flag should be used
in compilation-start-hook - compilation-always-kill is the way to go, or
it should be explained why the lambda is added buffer locally and where
this form should be evaled.

        Christopher